Subscribe for automatic updates: RSS icon RSS

Login icon Sign in for full access | Help icon Help
Advanced search

Pages: [1]
  Reply  |  Print  
Author Topic: OpenSSL 1.x end of life  (Read 3973 times)
Olivier E.
Four Js
Posts: 199


« on: June 23, 2023, 09:06:33 am »


 Genero and OpenSSL 3.x



Dear customer,


OpenSSL is a core library in the Unix world, found in many security and authentication processes. 

In September 2021, OpenSSL released versions 3.0 and 3.1. They will discontinue version 1.x support on September 11th, 2023.

Genero Web Services uses OpenSSL libraries, and we provide our own set of OpenSSL libraries inside the FGLGWS package. Starting September 2023, we will provide FGLGWS packages built with OpenSSL 3.0. 

Although OpenSSL offers a premium support contract to support OpenSSL version 1.1.x, Four Js will not support OpenSSL’s extended support of the versions 1.1.x.

How could this impact your Genero applications? Running an application connected to a database client linked with OpenSSL 1.x libraries may cause a problem. If you encounter such an issue, ask your database vendor how to update your database client so that it links with OpenSSL 3.0 instead.

 

From the OpenSSL community:

“OpenSSL 1.1.1 series will reach End of Life (EOL) on 11th September 2023. Users of OpenSSL 1.1.1 should consider their options and plan any actions they might need to take.”



Source information:

https://www.openssl.org/blog/blog/2021/09/07/OpenSSL3.Final/

https://www.openssl.org/blog/blog/2023/06/15/1.1.1-EOL-Reminder/

https://www.redhat.com/en/blog/experience-bringing-openssl-30-rhel-and-fedora

 
 
 Four Js Development Tools

 
Pages: [1]
  Reply  |  Print  
 
Jump to:  

Powered by SMF 1.1.21 | SMF © 2015, Simple Machines